Skip to main content
GET
/
organization
/
{organizationId}
/
argoCdDestinationClusterMapping
List ArgoCD instance mappings for an organization
curl --request GET \
  --url https://api.qovery.com/organization/{organizationId}/argoCdDestinationClusterMapping \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "agent_cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_cluster_name": "My Agent Cluster",
      "credentials_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "argocd_url": "https://argocd.example.com",
      "status": "connected",
      "last_checked_at": "2023-11-07T05:31:56Z",
      "linked_clusters": [
        {
          "argocd_cluster_url": "https://kubernetes.default.svc",
          "argocd_cluster_name": "https://kubernetes.default.svc",
          "qovery_cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "qovery_cluster_name": "My EKS Cluster",
          "qovery_cluster_type": "MANAGED",
          "applications_count": 4
        }
      ],
      "unlinked_clusters": [
        {
          "argocd_cluster_url": "https://old-cluster.example.com",
          "argocd_cluster_name": "https://old-cluster.example.com",
          "applications_count": 0
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

Response

ArgoCD instance mapping list

results
object[]
required